<?php
/*embed width*/
if ( ! isset( $content_width ) ) $content_width = 610;

/*search form*/
function my_search_form( $form ) {
  $form = ' <form role="search" method="get" 
    class="search-form" action="' . home_url( '/' ) . '"> 
    <label>
      <input type="search" class="search-field" placeholder="Search" 
        value="' . get_search_query() . '" name="s" title="Search for:">
      <input type="submit" value="" class="search-submit">
    </label>
  </form>';
  return $form;
}

add_filter( 'get_search_form', 'my_search_form' );

/*menues*/

register_nav_menus( array(
  'top_menu' => 'Top Navigation Menu',
  'submenu_high_adv' => 'Top SubMenu High Adventure',
  'submenu_scout' => 'Top SubMenu Scout Camp',
  'submenu_training' => 'Top SubMenu Training',
  'submenu_jamboree' => 'Top SubMenu Jamboree',
  'submenu_sidebar' => 'Sidebar Submenu',
  'submenu_sidebar_jamboree' => 'Sidebar Submenu Jamboree',
  'top_social_menu' => 'Top Social Menu',
  'ext_menu' => 'Top Exteral Navigation Menu',
  'main_menu' => 'Main Pages Navigation Menu',
  'footer_menu' => 'Footer Menu',
  'footer_contact_menu' => 'Footer Contact Menu',
  'footer_ext_menu' => 'Footer External Menu',
  'footer_social_menu' => 'Footer Social Menu'
) );

/*$locations = get_theme_mod( 'nav_menu_locations' );

if(!empty($locations))
{
    foreach($locations as $locationId => $menuValue)
    {
        switch($locationId)
        {
            case 'top_menu':
                $menu = get_term_by('name', 'Top Navigation Menu', 'nav_menu');
            break;

            case 'top_social_menu':
                $menu = get_term_by('name', 'Top Social Menu', 'nav_menu');
            break;

            case 'ext_menu':
                $menu = get_term_by('name', 'Top Exteral Navigation Menu', 'nav_menu');
            break;
			
            case 'main_menu':
                $menu = get_term_by('name', 'Main Pages Navigation Menu', 'nav_menu');
            break;
			
            case 'footer_menu':
                $menu = get_term_by('name', 'Footer Menu', 'nav_menu');
            break;
			
            case 'footer_contact_menu':
                $menu = get_term_by('name', 'Footer Contact Menu', 'nav_menu');
            break;
			
            case 'footer_ext_menu':
                $menu = get_term_by('name', 'Footer External Menu', 'nav_menu');
            break;
			
            case 'footer_social_menu':
                $menu = get_term_by('name', 'Footer Social Menu', 'nav_menu');
            break;
        }

        if(isset($menu))
        {
            $locations[$locationId] = $menu->term_id;
        }
    }

    set_theme_mod('nav_menu_locations', $locations);
}*/

$args = array(
  'post_type' => array( 'post' ),
  );
$last_posts = new WP_Query($args); 

/* thumbnails supporrt */
add_theme_support( 'post-thumbnails' );


/* excerpt */

function new_excerpt_more( $more ) {
  return '...';
}
add_filter( 'excerpt_more', 'new_excerpt_more' ); 

function custom_excerpt_length( $length ) {
  return 35;
}
add_filter( 'excerpt_length', 'custom_excerpt_length', 999 );

/* widgets */

function bsa_widgets_init() {
  register_sidebar( array(
    'name'          => __( 'Home Highlight 1 Widget Area' ),
    'id'            => 'home-1',
    'description'   => __( 'Appears bellow slideshow on home page.' ),
    'before_widget' => '<div id="%1$s" class="widget %2$s"><div>',
    'after_widget'  => '</div></div>',
    'before_title'  => '<h3 class="widget-title">',
    'after_title'   => '</h3>',
  ) );
  register_sidebar( array(
    'name'          => __( 'Home Highlight 2 Widget Area' ),
    'id'            => 'home-2',
    'description'   => __( 'Appears bellow slideshow on home page.' ),
    'before_widget' => '<div id="%1$s" class="widget %2$s"><div>',
    'after_widget'  => '</div></div>',
    'before_title'  => '<h3 class="widget-title">',
    'after_title'   => '</h3>',
  ) );
   register_sidebar( array(
    'name'          => __( 'Home Central Content Widget Area' ),
    'id'            => 'home-central',
    'description'   => __( 'Appears on home page.' ),
    'before_widget' => '<div id="%1$s" class="widget %2$s"><div>',
    'after_widget'  => '</div></div>',
    'before_title'  => '<h3 class="widget-title">',
    'after_title'   => '</h3>',
  ) );
  register_sidebar( array(
    'name'          => __( 'Home Sidebar 2 Widget Area' ),
    'id'            => 'home-sidebar-2',
    'description'   => __( 'Appears at Sidebar on home page.' ),
    'before_widget' => '<div id="%1$s" class="widget %2$s">',
    'after_widget'  => '</div>',
    'before_title'  => '<h3 class="widget-title">',
    'after_title'   => '</h3>',
  ) );
  register_sidebar( array(
    'name'          => __( 'Home Sidebar Widget Area' ),
    'id'            => 'home-sidebar',
    'description'   => __( 'Appears at Sidebar on home page.' ),
    'before_widget' => '<div id="%1$s" class="widget %2$s">',
    'after_widget'  => '</div>',
    'before_title'  => '<h3 class="widget-title">',
    'after_title'   => '</h3>',
  ) );
  register_sidebar( array(
    'name'          => __( 'Home Sidebar add Widget Area' ),
    'id'            => 'home-sidebar-add',
    'description'   => __( 'Appears at Sidebar on home page.' ),
    'before_widget' => '<div id="%1$s" class="widget %2$s adds">',
    'after_widget'  => '</div>',
    'before_title'  => '<h3 class="widget-title">',
    'after_title'   => '</h3>',
  ) );
  register_sidebar( array(
    'name'          => __( 'Internal Sidebar add Widget Area' ),
    'id'            => 'internal-sidebar-add',
    'description'   => __( 'Appears at Sidebar on internal page.' ),
    'before_widget' => '<div id="%1$s" class="widget %2$s adds">',
    'after_widget'  => '</div>',
    'before_title'  => '<h3 class="widget-title">',
    'after_title'   => '</h3>',
  ) );
  register_sidebar( array(
    'name'          => __( 'Internal Sidebar Widget Area' ),
    'id'            => 'internal-sidebar',
    'description'   => __( 'Appears at Sidebar on internal page.' ),
    'before_widget' => '<div id="%1$s" class="widget %2$s adds">',
    'after_widget'  => '</div>',
    'before_title'  => '<h3 class="widget-title">',
    'after_title'   => '</h3>',
  ) );

  register_sidebar( array(
    'name'          => __( 'Footer Quicklinks' ),
    'id'            => 'footer-quicklinks',
    'description'   => __( 'Footer Quicklinks on Internal pages.' ),
    'before_widget' => '<li><div id="%1$s" class="widget %2$s adds">',
    'after_widget'  => '</div></li>',
    'before_title'  => '',
    'after_title'   => '',
  ) );

  register_sidebar( array(
    'name'          => __( 'Work footer widget' ),
    'id'            => 'footer-work',
    'description'   => __( 'Work section on Footer pages.' ),
    'before_widget' => '<div id="%1$s" class="widget %2$s"><div>',
    'after_widget'  => '</div></div>',
    'before_title'  => '<h3>',
    'after_title'   => '</h3>',
  ) );
  register_sidebar( array(
    'name'          => __( 'Internal Sidebar Narrow widget add' ),
    'id'            => 'internal-sidebar-narrow-add',
    'description'   => __( 'Work section on Footer pages.' ),
    'before_widget' => '<div id="%1$s" class="widget %2$s adds" ><div>',
    'after_widget'  => '</div></div>',
    'before_title'  => '<h3>',
    'after_title'   => '</h3>',
  ) );
  register_sidebar( array(
    'name'          => __( 'Venues Bottom widgets' ),
    'id'            => 'venues-widgets',
    'description'   => __( 'Venues Bottom widgets.' ),
    'before_widget' => '<div id="%1$s" class="widget half %2$s"><div>',
    'after_widget'  => '</div></div>',
    'before_title'  => '<h3>',
    'after_title'   => '</h3>',
  ) );
  register_sidebar( array(
    'name'          => __( 'Internal sidebar widget' ),
    'id'            => 'internal-sidebar-simple',
    'description'   => __( 'Internal sidebar widget' ),
    'before_widget' => '<div id="%1$s" class="widget %2$s adds"><div>',
    'after_widget'  => '</div></div>',
    'before_title'  => '<h3>',
    'after_title'   => '</h3>',
  ) );
 register_sidebar( array(
    'name'          => __( 'Blog sidebar widget' ),
    'id'            => 'blog-sidebar',
    'description'   => __( 'Blog sidebar widget' ),
    'before_widget' => '<div id="%1$s" class="widget %2$s"><div>',
    'after_widget'  => '</div></div>',
    'before_title'  => '<h3>',
    'after_title'   => '</h3>',
  ) );
 register_sidebar( array(
    'name'          => __( 'Blog sidebar widget adds' ),
    'id'            => 'blog-sidebar-add',
    'description'   => __( 'Blog sidebar to Adds' ),
    'before_widget' => '<div id="%1$s" class="widget %2$s adds"><div>',
    'after_widget'  => '</div></div>',
    'before_title'  => '<h3>',
    'after_title'   => '</h3>',
  ) );


}

add_action( 'widgets_init', 'bsa_widgets_init', 100 );

/* page sub menu */

function get_submenu(){
  global $post;
  $id = get_the_id();
  $parents =  get_post_ancestors( $id );
  $id = ($parents) ? array_pop($parents): $id; 

  $post_data = get_post($id, ARRAY_A);
  $slug = $post_data['post_name'];
  $args = array(
    'child_of'     => $id,
    'date_format'  => get_option('date_format'),
    'depth'        => 1,
    'echo'         => 1,
    'post_type'    => 'page',
    'post_status'  => 'publish',
    'sort_column'  => 'menu_order',
    'sort_order'   => 'ASC',
    'title_li'     => '', 
  );
  echo '<div class="submenu">
      <ul>'.wp_list_pages( $args ).'
      </ul>
    </div>';
  
}
function get_subsubmenu(){
  global $post;
  $ancestors = get_post_ancestors($post);  
	if (count($ancestors) >= 2) {  
		$parent = $ancestors[0];  
		//$slug = $post_data['post_name'];
		  $args = array(
			'child_of'     => $parent,
			'date_format'  => get_option('date_format'),
			'depth'        => 1,
			'echo'         => 1,
			'post_type'    => 'page',
			'post_status'  => 'publish',
			'sort_column'  => 'menu_order',
			'sort_order'   => 'ASC',
			'title_li'     => '', 
			'exclude' => '14500, 14522, 14747, 14267, 14309, 15032, 15034,13120, 13128, 14961, 13124, 13126, 15736, 15661'
		  );
		  ?>
		  <div class="submenu">
				  <ul><?php wp_list_pages( $args ) ?>
				  </ul>
				</div>
<?php } else{
		//$slug = $post_data['post_name'];
		  $args = array(
			'child_of'     => $post->ID,
			'date_format'  => get_option('date_format'),
			'depth'        => 1,
			'echo'         => 1,
			'post_type'    => 'page',
			'post_status'  => 'publish',
			'sort_column'  => 'menu_order',
			'sort_order'   => 'ASC',
			'title_li'     => '', 
			'exclude' => '14500, 14522, 14747, 14267, 14309, 15032, 15034,13120, 13128, 14961, 13124, 13126'
		  );
		  
			$children = get_pages('child_of='.$post->ID);
			if( count( $children ) != 0 ) {?>
		  		<div class="submenu">
				  <ul><?php wp_list_pages( $args ) ?>
				  </ul>
				</div>
       <?php }
	}  
  
}
/* Pages sidebar Menu */
function accordion_script() {
  wp_enqueue_script('jquery-ui-accordion', 'jquery');
  wp_enqueue_script('jquery-ui-dialog', 'jquery');
  wp_enqueue_script(
    'prettyphoto',
    get_template_directory_uri() . '/js/jquery.prettyPhoto.js',
    array( 'jquery' )
  );

  wp_enqueue_script(
      'summit',
      get_template_directory_uri() . '/js/scripts.js',
    array( 'jquery' )
  );

}

add_action( 'wp_enqueue_scripts', 'accordion_script' );

function get_sidebar_menu($wsubmenu = false ){
  
  global $post;
  $id = get_the_id( );
  $parents =  get_post_ancestors( $id );
  if($wsubmenu){
   $id = array_pop($parents);
  }
  else { 
    if( count($parents) > 1 ) array_pop($parents);
    $id = count($parents) ? array_pop($parents): $id; 
  }

  $post_data = get_post($id, ARRAY_A);
  $slug = $post_data['post_name'];
  $args = array(
    'child_of'     => $id,
    'date_format'  => get_option('date_format'),
    'depth'        => 2,
    'echo'         => 1,
    'post_type'    => 'page',
    'post_status'  => 'publish',
    'sort_column'  => 'menu_order',
    'sort_order'   => 'ASC',
    'title_li'     => '' 
  );
  wp_list_pages( $args );
}


/* include excerpt to pages */
add_action( 'init', 'my_add_excerpts_to_pages' );
function my_add_excerpts_to_pages() {
  add_post_type_support( 'page', 'excerpt' );
}

/* custom image sizes */

if ( function_exists( 'add_image_size' ) ) { 
  add_image_size( 'home_thumbnail', 220, 140, true);
}

/* meta data */

function the_post_metadata(){
  echo '<h5>';
  echo 'Posted on '. get_the_date();
  echo ' by <a rel="author" target="_blank" href="';
  echo get_the_author_meta( 'googleplus').'" >'.get_the_author() .' </a>'; 
  echo '</h5>';
}

/* home stream */
function home_stream(){
  $args = array(
        'post_type' => array( 'post' ),
        'posts_per_page'=> '2'
      );
  $q = new WP_Query($args);
  return $q;
}
function isMobile() {
    return preg_match("/(android|avantgo|blackberry|bolt|boost|cricket|docomo|fone|hiptop|mini|mobi|palm|phone|pie|tablet|up\.browser|up\.link|webos|wos)/i", $_SERVER["HTTP_USER_AGENT"]);
}
?>
