<?php /* Template Name: Blog  */  ?><!DOCTYPE html><!--[if IE 7]><html class="ie ie7" lang="en"><![endif]-->
<!--[if IE 8]><html lang="en" class="ie ie8"><![endif]-->
<!--[if !(IE 7) | !(IE 8) ]><!-->
<html lang="en"><!--<![endif]--><?php get_header() ?>
  <body><?php get_template_part( 'areas/header') ?>
    <main><?php if(is_home()): ?><?php $p = get_page_by_path('blog'); ?><?php $id = $p->ID ?>
      <header class="blog-header">
        <h1 class="simple"><?php echo simple_fields_value('maintitle', $id)?simple_fields_value('maintitle',$id):get_the_title($id); ?>
        </h1>
        <div class="thumbnail"><?php echo get_the_post_thumbnail($id) ?>
        </div>
      </header><?php elseif (is_tag()): ?>
      <header class="blog-header">
        <h1 class="withsmall"><span>Tag: </span><?php single_tag_title() ?>
        </h1>
        <hr>
      </header><?php elseif (is_category()): ?>
      <header class="blog-header">
        <h1 class="withsmall"><span>Category: </span><?php single_cat_title() ?>
        </h1>
        <hr>
      </header><?php elseif (is_search()): ?>
      <header class="blog-header">
        <h1 class="withsmall"><span>Search Results for: </span><?php echo get_search_query() ?>
        </h1>
        <hr>
      </header><?php endif ?>
      <section class="posts-stream"><?php if (have_posts()): ?><?php while (have_posts()): ?><?php the_post(); ?>
        <article class="post"><?php if ( has_post_thumbnail() ): ?>
          <div class="thumbnail"><a href="<?php the_permalink() ?>"><?php the_post_thumbnail('home_thumbnail') ?></a></div><?php endif; ?><?php if( !is_search() && !is_tag() && !is_category()) : ?>
          <div class="date">Posted on <?php the_date() ?> by <?php the_author() ?>
          </div><?php endif  ?>
          <h2><a href="<?php the_permalink() ?>"><?php the_title() ?></a></h2><?php if( !is_search() && !is_tag() && !is_category()) : ?>
          <div addthis:url="<?php the_permalink() ?>" class="social-share addthis_toolbox"><span>Share this:</span>
            <ul>
              <li><a href="" class="facebook addthis_button_facebook"></a></li>
              <li><a href="" class="twitter addthis_button_twitter"></a></li>
              <li><a href="" class="gplus addthis_button_google_plusone_share"></a></li>
              <li><a href="" class="pinterest addthis_button_pinterest_share"></a></li>
            </ul>
          </div><?php endif  ?><?php the_excerpt() ?>
          <p><a href="<?php the_permalink() ?>" class="read-more">Read More</a></p>
        </article>
        <hr><?php endwhile; ?><?php endif; ?>
        <nav class="navigation">
          <div class="nav-links"><?php wp_pagenavi() ?>
          </div>
        </nav>
        <div class="quicklink-foot">
          <h3>Quick links</h3>
          <ul><?php if ( is_active_sidebar( 'footer-quicklinks' ) ) :  ?><?php dynamic_sidebar( 'footer-quicklinks'  ); ?><?php endif ?>
          </ul>
        </div>
      </section>
    </main><?php get_template_part( 'areas/footer') ?>
  </body>
</html>