(function($){
  $( document ).ready(function() {
    $("a[rel^='prettyPhoto']").prettyPhoto({
      social_tools: '',
      deeplinking: false,
      show_title: false,
      default_width: 800,
      default_height: 450,
      markup: '<div class="pp_pic_holder"> \
            <div class="ppt">&nbsp;</div> \
              <div class="pp_content_container"> \
                <div class="pp_content"> \
                  <a class="pp_close" href="#">Close</a> \
                  <div class="pp_loaderIcon"></div> \
                  <div class="pp_fade"> \
                    <a href="#" class="pp_expand" title="Expand the image">Expand</a> \
                    <div class="pp_hoverContainer"> \
                      <a class="pp_next" href="#">next</a> \
                      <a class="pp_previous" href="#">previous</a> \
                    </div> \
                    <div id="pp_full_res"></div> \
                    <div class="pp_details"> \
                      <div class="pp_nav"> \
                        <a href="#" class="pp_arrow_previous">Previous</a> \
                        <p class="currentTextHolder">0/0</p> \
                        <a href="#" class="pp_arrow_next">Next</a> \
                      </div> \
                      <p class="pp_description"></p> \
                      {pp_social} \
                    </div> \
                  </div> \
              </div> \
            </div> \
          </div> \
          <div class="pp_overlay"></div>'
      }); 

      var video = $('a.videolb');
      var userAgent = window.navigator.userAgent;
      var ismobile=userAgent.match(/(iPhone)|(iPod)|(android)/i);
      if (ismobile && video.length) $("a[rel^=prettyPhoto[mixed] ']").unbind('click');
     
    /*****Sidebar Accordion******/
    $(".accordion").accordion({
      heightStyle: "content",
      header: "> li > :first-child,> :not(li):even",
      collapsible: true
    });

    var current = $('.accordion li ul li.current_page_item');
    if(current.length == 0){
      current = $('.accordion li.current_page_item');
      icurrent = current.index();
    } else {
      icurrent = current.parent().parent().index();
    }
    if( icurrent >= 0) {
      $( ".accordion" ).accordion( "option", "active", icurrent );
    }

    $(".accordion").on("click", " > li > a ", function(){
	  if( $(this).parent('li').hasClass('tblank')){
		  window.open($(this).attr('href'), '_blank');
	  	
	  }else if( !$(this).parent('li').hasClass('current_page_item') &&
          !$(this).parent('li').children('ul').length){
        location.href = $(this).attr('href');
      }
    }) 

    /*****Mobile Menu toggle *****/
    var nav = $( '.main-nav' ), nav2 = $( '.info-nav' ), button, menu;
    if ( ! nav ) return;

    button = nav.find( '.menu-toggle' );
    if ( ! button ) return;

    // Hide button if menu is missing or empty.
    menu = nav.find( '.mobilemenu' );
    if ( ! menu || ! menu.children().length ) {
      button.hide();
      return;
    }

    $( '.menu-toggle' ).on( 'click', function() {
      nav2.removeClass( 'social-toggled-on' );
      nav.removeClass( 'search-toggled-on' );
      nav.toggleClass( 'menu-toggled-on' );
    });

    $( '.social-toggle' ).on( 'click', function() {
      nav.removeClass( 'menu-toggled-on' );
      nav.removeClass( 'search-toggled-on' );
      nav2.toggleClass( 'social-toggled-on' );
    });

    $( '.search-toggle' ).on( 'click', function() {
      nav.removeClass( 'menu-toggled-on' );
      nav2.removeClass( 'social-toggled-on' );
      nav.toggleClass( 'search-toggled-on' );
    });


    $(".mobilemenu").accordion({
      heightStyle: "content",
      header: "> li > :first-child,> :not(li):even",
      collapsible: true,
      active: false
    });

    $(".mobilemenu").on('click', " > li > a ", function(){
      if( !$(this).parent('li').hasClass('page_item_has_children')){
        location.href = $(this).attr('href');
        }
    });
  });
})(jQuery);

