<?php /* Template Name: Resources  */  ?><!DOCTYPE html><!--[if IE 7]><html class="ie ie7" lang="en"><![endif]-->
<!--[if IE 8]><html lang="en" class="ie ie8"><![endif]-->
<!--[if !(IE 7) | !(IE 8) ]><!-->
<html lang="en"><!--<![endif]--><?php get_header() ?>
  <body><?php get_template_part( 'areas/header') ?>
    <div class="submenu">
      <ul><?php get_submenu() ?>
      </ul>
    </div>
    <main><?php if (have_posts()): ?><?php while (have_posts()): ?><?php the_post(); ?>
      <article>
        <header class="entry-header"><?php if (simple_fields_value('maintitlesmall')):  ?>
          <h1 class="withsmall"><span><?php echo simple_fields_value('maintitlesmall') ?></span><?php echo simple_fields_value('maintitle')?simple_fields_value('maintitle'):get_the_title(); ?>
          </h1><?php else: ?>
          <h1><?php echo simple_fields_value('maintitle')?simple_fields_value('maintitle'):get_the_title(); ?>
          </h1><?php endif; ?><?php if (simple_fields_value('registrationurl') && simple_fields_value('registrationurl') != ''  ):  ?><a href="<?php echo simple_fields_value('registrationurl') ?>" target="_blank" id ="orange-button" class="orange-button">Register</a><?php endif; ?><?php the_post_thumbnail() ?>
        </header>
        <div class="entry-content">
          <h2><?php echo simple_fields_value('subtitle') ?>
          </h2>
          <div addthis:url="<?php the_permalink() ?>" class="social-share addthis_toolbox"><span>Share this:</span>
            <ul>
              <li><a href="" class="facebook addthis_button_facebook"></a></li>
              <li><a href="" class="twitter addthis_button_twitter"></a></li>
              <li><a href="" class="gplus addthis_button_google_plusone_share"></a></li>
              <li><a href="" class="pinterest addthis_button_pinterest_share"></a></li>
            </ul>
          </div>
          <!--<div id="filters_menus">
              <div class="wrap">
                            
                <ul id="view_by">
                <div class="view_by">
                  <p>VIEW BY</p>
                </div><!-- .view_by -->
            
                <!--<li class="view_by filteritem grid">
                <a href="?view=grid">grid</a>
                </li>
                <li class="view_by filteritem list">
                  <a href="?view=list">list</a>
                </li>
                 </ul>
               
              </div>
            </div>--><!-- #filters-menus -->
		  <div class="resources_subcontent <?php if (isset($_GET['view']) && $_GET['view'] == 'list' ) echo 'list_view'; else echo 'grid_view'; ?>">

				<?php 
                  $field_values = simple_fields_values("group_name, resource_title, resource_desc, resource_type, resource_file, feature_image, resource_format");
                  foreach ($field_values as $fvalues) {
					$group_name =  $fvalues['group_name'];
                    $title =  $fvalues['resource_title'];
                    $desc =  $fvalues['resource_desc'];
                    $type =  $fvalues['resource_type'];
                    $file =  $fvalues['resource_file'];
                    $image =  $fvalues['feature_image'];
                    $format = $fvalues['resource_format']['selected_value'];
                  ?>
                  	<?php if($group_name != ""){
						echo '<h2 style="clear: both;margin: 0 0 20px;display: block;padding: 20px 0 0;">'. $group_name . '</h2>';
				  }else{?>
                    <div class="resource_item <?php echo $type['selected_value'];?>">
                      <div class="img_cont">
                        <a href ="<?php echo wp_get_attachment_url( $file ); ?>" target="_blank" ><img src='<?php echo wp_get_attachment_url( $image ); ?>'></a>
                      </div>
                      <h1><a href ="<?php echo wp_get_attachment_url( $file ); ?>" target="_blank" ><?php echo $title; ?></a></h1>
                      <div class="resource_desc">
                        <?php echo $desc; ?>
                      </div>
                        <div class="dl_link <?=$format?>">
                        <a href="<?php echo wp_get_attachment_url( $file ); ?>" target="_blank" ></a>
                      </div>
                      <p>category: <?php echo $type['selected_value'];?></p>
                      <a class="dload" href="<?php echo wp_get_attachment_url( $file ); ?>" target="_blank">
                      <span class="flag5">DOWNLOAD</span></a>
                    </div>
                	
                <?php 
				  }
                }
                ?>
                <div class="clear"></div>
          
        </div>
      </article><?php endwhile; ?><?php endif; ?>
      <div class="quicklink-foot">
        <h3>Quick links</h3>
        <ul><?php if ( is_active_sidebar( 'footer-quicklinks' ) ) :  ?><?php dynamic_sidebar( 'footer-quicklinks'  ); ?><?php endif ?>
        </ul>
      </div>
    </main><?php get_template_part( 'areas/footer') ?>
  </body>
</html>