<!DOCTYPE html><!--[if IE 7]><html class="ie ie7" lang="en"><![endif]-->
<!--[if IE 8]><html lang="en" class="ie ie8"><![endif]-->
<!--[if !(IE 7) | !(IE 8) ]><!-->
<html lang="en"><!--<![endif]--><?php get_header() ?>
  <body><?php get_template_part( 'areas/header') ?>
    <main><?php if (have_posts()): ?><?php while (have_posts()): ?><?php the_post(); ?>
      <article class="narrow">
        <header class="entry-header">
          <h1 class="withsmall"><span>Blog</span><?php echo simple_fields_value('maintitle')?simple_fields_value('maintitle'):get_the_title(); ?>
          </h1><?php the_post_metadata() ?>
          <div class="thumbnail"><?php the_post_thumbnail('medium') ?>
          </div>
        </header>
        <div class="entry-content">
          <div addthis:url="<?php the_permalink() ?>" class="social-share addthis_toolbox"><span>Share this:</span>
            <ul>
              <li><a href="" class="facebook addthis_button_facebook"></a></li>
              <li><a href="" class="twitter addthis_button_twitter"></a></li>
              <li><a href="" class="gplus addthis_button_google_plusone_share"></a></li>
              <li><a href="" class="pinterest addthis_button_pinterest_share"></a></li>
            </ul>
          </div><?php the_content() ?><?php $videos = simple_fields_fieldgroup("videos") ?><?php if (count($videos)): ?>
          <ul class="videos">
            <h3>Videos</h3><?php foreach($videos as $v ):  ?>
            <li><a href=" <?php echo 'http://www.youtube.com/watch?v='.$v['videocode'] ?>" rel="prettyPhoto[mixed]" class="videolb"><?php echo $v['videothumbnail']['image']['thumbnail'] ?></a><span><?php echo $v['videotext'] ?></span>
              <Download></Download>
            </li><?php endforeach  ?>
          </ul><?php endif ?><?php $picts = simple_fields_fieldgroup("pictures") ?><?php if (count($picts)>0): ?>
          <ul class="pictures">
            <h3>Pictures</h3><?php foreach($picts as $p ):  ?>
            <li><?php if ($p['link'] != ''): ?><a href="<?php echo $p['link'] ?>" title="<?php echo $p['caption'] ?>" target="_blank" class="imglb"><?php echo $p['image']['image']['thumbnail'] ?></a><?php else: ?><a href="<?php echo $p['image']['url'] ?>" rel="prettyPhoto[pp_gal]" title="<?php echo $p['caption'] ?>" class="imglb"><?php echo $p['image']['image']['thumbnail'] ?></a><?php endif ?>
            </li><?php endforeach  ?>
          </ul><?php endif ?>
          <div class="taxonomies">
            <p><strong>Categorias: </strong><?php the_category(', ') ?>
            </p>
            <p><strong>Tags: </strong><?php the_tags('') ?>
            </p>
          </div>
        </div>
      </article><?php endwhile; ?><?php endif; ?>
      <aside class="internal-sidebar"><?php if ( is_active_sidebar( 'blog-sidebar' ) ) :  ?><?php dynamic_sidebar( 'blog-sidebar' ); ?><?php endif ?><?php if ( is_active_sidebar( 'blog-sidebar-add' ) ) :  ?><?php dynamic_sidebar( 'blog-sidebar-add' ); ?><?php endif ?>
      </aside>
      <div class="quicklink-foot">
        <h3>Quick links</h3>
        <ul><?php if ( is_active_sidebar( 'footer-quicklinks' ) ) :  ?><?php dynamic_sidebar( 'footer-quicklinks'  ); ?><?php endif ?>
        </ul>
      </div>
    </main><?php get_template_part( 'areas/footer') ?>
  </body>
</html>